package com.njcn.pojo.configuration;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 终端信息表
 */
@Table(name = "PQ_DEVICE")
public class Device implements Serializable{

	@Id
	@Column(name = "DEV_INDEX")
	private Long devIndex;

	@Column(name = "GD_INDEX")
	private Long gdIndex;

	@Column(name = "SUB_INDEX")
	private Long subIndex;

	@Column(name = "NAME")
	private String name;

	@Column(name = "STATUS")
	private Integer status;

	// 终端型号
	@Column(name = "DEVTYPE")
	private String devType;

	@Column(name = "IP")
	private String ip;
	
	@Column(name="LOGONTIME")
	private Date logonTime;
	
	@Column(name="UPDATETIME")
	private Date updateTime;
	
	//召唤标志
	@Column(name="CALLFLAG")
	private Integer callFlag;
	
	@Column(name="DEVFLAG")
	private Integer devFlag;
	
	//服务器表序号
	@Column(name="NODE_INDEX")
	private Long nodeIndex;
	
	@Column(name="PORTID")
	private Long portId;

	@Column(name="DEVMODEL")
	private Long devmodel;
	
	@Column(name="DATATYPE")
	private Long datatype;
	
	@Column(name="Dev_Series")
	private String series;
	
	@Column(name="Dev_Key")
	private String key;
	
	public Long getDevIndex() {
		return devIndex;
	}

	public void setDevIndex(Long devIndex) {
		this.devIndex = devIndex;
	}

	public Long getGdIndex() {
		return gdIndex;
	}

	public void setGdIndex(Long gdIndex) {
		this.gdIndex = gdIndex;
	}

	public Long getSubIndex() {
		return subIndex;
	}

	public void setSubIndex(Long subIndex) {
		this.subIndex = subIndex;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	

	/**
	 * @return the devType
	 */
	public String getDevType() {
		return devType;
	}

	/**
	 * @param devType the devType to set
	 */
	public void setDevType(String devType) {
		this.devType = devType;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public Date getLogonTime() {
		return logonTime;
	}

	public void setLogonTime(Date logonTime) {
		this.logonTime = logonTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getCallFlag() {
		return callFlag;
	}

	public void setCallFlag(Integer callFlag) {
		this.callFlag = callFlag;
	}

	public Integer getDevFlag() {
		return devFlag;
	}

	public void setDevFlag(Integer devFlag) {
		this.devFlag = devFlag;
	}

	public Long getNodeIndex() {
		return nodeIndex;
	}

	public void setNodeIndex(Long nodeIndex) {
		this.nodeIndex = nodeIndex;
	}

	public Long getPortId() {
		return portId;
	}

	public void setPortId(Long portId) {
		this.portId = portId;
	}

	public Long getDevmodel() {
		return devmodel;
	}

	public void setDevmodel(Long devmodel) {
		this.devmodel = devmodel;
	}

	public Long getDatatype() {
		return datatype;
	}

	public void setDatatype(Long datatype) {
		this.datatype = datatype;
	}

	public String getSeries() {
		return series;
	}

	public void setSeries(String series) {
		this.series = series;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	@Override
	public String toString() {
		return "Device [devIndex=" + devIndex + ", gdIndex=" + gdIndex + ", subIndex=" + subIndex + ", name=" + name
				+ ", status=" + status + ", devType=" + devType + ", ip=" + ip + ", logonTime=" 
				+ logonTime + ", updateTime=" + updateTime + ", callFlag=" + callFlag
				+ ", devFlag=" + devFlag + ", nodeIndex=" + nodeIndex + ", devmodel=" + devmodel +",datatype" + datatype +"]";
	} 

}
